Antwort: Re: Antwort: [PHP-DEV] transparent output compression patch

From: Date: Mon, 13 Nov 2000 12:11:22 +0000
Subject: Antwort: Re: Antwort: [PHP-DEV] transparent output compression patch
Groups: php.dev 
Request: Send a blank email to php-dev+get-37890@lists.php.net to get a copy of this message
hello jade, it seems that browsers which apparently accepts deflate (i know MSIE and Konqueror), are using deflate as a synonym for gzip (rfc1952) and not zlib (rfc1950) regards marc Marc Pohl WWF Wort + Ton GmbH Bereich e-media Tel. 0221 6900 112 Fax. 0221 6900 150 http://www.wwf-gruppe.de/ Jade Nicoletti <nicoletti@nns.ch> 13.11.2000 12:40 An: Marc.Pohl@wwf-koeln.de Kopie: php-dev@lists.php.net Thema: Re: Antwort: [PHP-DEV] transparent output compression patch Thank you. It works now. quote from RFC 2068: deflate The "zlib" format defined in RFC 1950[31] in combination with the "deflate" compression mechanism described in RFC 1951[29]. This meens http1.1 coding "deflate" actually includes zlib headers/trailers. So browsers arn't following this RFC (they're expecting only the raw deflate data as described in RFC 1951)?! -Jade. =============================================================================== Jade Nicoletti Nicoletti Net Services Tel. 01 240 4774 Geschäftsleitung Postfach 2519 Fax 01 240 4775 System-Administration 8021 Zürich ============================================[ Weitere Infos: http://nns.ch/ ]==

« previous php.dev (#37890) next »